GeneratedMessageLite.MethodToInvoke
Date: 2017-07-08

com.google.protobuf

## Enum GeneratedMessageLite.MethodToInvoke

- java.lang.Object
- - java.lang.Enum<GeneratedMessageLite.MethodToInvoke>
  - - com.google.protobuf.GeneratedMessageLite.MethodToInvoke

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<GeneratedMessageLite.MethodToInvoke>
  Enclosing class:
    GeneratedMessageLite<MessageType extends GeneratedMessageLite<MessageType,BuilderType>,BuilderType extends GeneratedMessageLite.Builder<MessageType,BuilderType>>

      public static enum GeneratedMessageLite.MethodToInvoke
      extends java.lang.Enum<GeneratedMessageLite.MethodToInvoke>

  Defines which method path to invoke in `#dynamicMethod(MethodToInvoke, Object...)`.

  For use by generated code only.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GET_DEFAULT_INSTANCE`
    `GET_PARSER`
    `IS_INITIALIZED`
    `MAKE_IMMUTABLE`
    `MERGE_FROM_STREAM`
    `NEW_BUILDER`
    `NEW_MUTABLE_INSTANCE`
    `VISIT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GeneratedMessageLite.MethodToInvoke` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static GeneratedMessageLite.MethodToInvoke[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IS_INITIALIZED

          public static final GeneratedMessageLite.MethodToInvoke IS_INITIALIZED

    - #### VISIT

          public static final GeneratedMessageLite.MethodToInvoke VISIT

    - #### MERGE_FROM_STREAM

          public static final GeneratedMessageLite.MethodToInvoke MERGE_FROM_STREAM

    - #### MAKE_IMMUTABLE

          public static final GeneratedMessageLite.MethodToInvoke MAKE_IMMUTABLE

    - #### NEW_MUTABLE_INSTANCE

          public static final GeneratedMessageLite.MethodToInvoke NEW_MUTABLE_INSTANCE

    - #### NEW_BUILDER

          public static final GeneratedMessageLite.MethodToInvoke NEW_BUILDER

    - #### GET_DEFAULT_INSTANCE

          public static final GeneratedMessageLite.MethodToInvoke GET_DEFAULT_INSTANCE

    - #### GET_PARSER

          public static final GeneratedMessageLite.MethodToInvoke GET_PARSER

  - ### Method Detail

    - #### values

          public static GeneratedMessageLite.MethodToInvoke[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GeneratedMessageLite.MethodToInvoke c : GeneratedMessageLite.MethodToInvoke.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GeneratedMessageLite.MethodToInvoke valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null